Debian Bug report logs - #428633
debianutils: fail to install

version graph

Package: debianutils; Maintainer for debianutils is Clint Adams <clint@debian.org>; Source for debianutils is src:debianutils.

Reported by: wusz <lidaobing@gmail.com>

Date: Wed, 13 Jun 2007 04:27:02 UTC

Severity: normal

Merged with 428008

Found in versions debianutils/2.20.1, debianutils/2.8.4

Done: Clint Adams <schizo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#428633; Package debianutils. Full text and rfc822 format available.

Acknowledgement sent to wusz <lidaobing@gmail.com>:
New Bug report received and forwarded. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: wusz <lidaobing@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debianutils: fail to install
Date: Wed, 13 Jun 2007 11:49:52 +0800
Package: debianutils
Version: 2.8.4
Severity: normal

dpkg: error processing /var/cache/apt/archives/debianutils_2.19_i386.deb (--unpack):
 trying to overwrite `/usr/sbin/add-shell', which is also in package passwd
Errors were encountered while processing:
 /var/cache/apt/archives/debianutils_2.19_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:

my passwd version is 1:4.0.3-30, you should conflict with the old passwd version.


-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages debianutils depends on:
ii  coreutils                     5.97-5     The GNU core utilities
ii  libc6                         2.5-9+b1   GNU C Library: Shared libraries

debianutils recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#428633; Package debianutils. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 428633@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: wusz <lidaobing@gmail.com>, 428633@bugs.debian.org
Subject: Re: Bug#428633: debianutils: fail to install
Date: Wed, 13 Jun 2007 14:17:01 -0400
On Wed, Jun 13, 2007 at 11:49:52AM +0800, wusz wrote:
> Package: debianutils
> Version: 2.8.4
> Severity: normal
> 
> dpkg: error processing /var/cache/apt/archives/debianutils_2.19_i386.deb (--unpack):
>  trying to overwrite `/usr/sbin/add-shell', which is also in package passwd
> Errors were encountered while processing:
>  /var/cache/apt/archives/debianutils_2.19_i386.deb
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install.  Trying to recover:
> 
> my passwd version is 1:4.0.3-30, you should conflict with the old passwd version.

Are you upgrading from sarge to lenny without etch in between?



Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#428633; Package debianutils. Full text and rfc822 format available.

Acknowledgement sent to "LI Daobing" <lidaobing@gmail.com>:
Extra info received and forwarded to list. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #15 received at 428633@bugs.debian.org (full text, mbox):

From: "LI Daobing" <lidaobing@gmail.com>
To: "Clint Adams" <schizo@debian.org>
Cc: 428633@bugs.debian.org
Subject: Re: Bug#428633: debianutils: fail to install
Date: Thu, 14 Jun 2007 04:43:12 +0800
On 6/14/07, Clint Adams <schizo@debian.org> wrote:
> On Wed, Jun 13, 2007 at 11:49:52AM +0800, wusz wrote:
> > Package: debianutils
> > Version: 2.8.4
> > Severity: normal
> >
> > dpkg: error processing /var/cache/apt/archives/debianutils_2.19_i386.deb (--unpack):
> >  trying to overwrite `/usr/sbin/add-shell', which is also in package passwd
> > Errors were encountered while processing:
> >  /var/cache/apt/archives/debianutils_2.19_i386.deb
> > E: Sub-process /usr/bin/dpkg returned an error code (1)
> > A package failed to install.  Trying to recover:
> >
> > my passwd version is 1:4.0.3-30, you should conflict with the old passwd version.
>
> Are you upgrading from sarge to lenny without etch in between?
>
I keep on testing, but I does not keep my system upgrade, I only
upgrade some packges when I need it

-- 
LI Daobing



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#428633; Package debianutils. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 428633@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: LI Daobing <lidaobing@gmail.com>
Cc: 428633@bugs.debian.org
Subject: Re: Bug#428633: debianutils: fail to install
Date: Wed, 13 Jun 2007 16:52:26 -0400
On Thu, Jun 14, 2007 at 04:43:12AM +0800, LI Daobing wrote:
> I keep on testing, but I does not keep my system upgrade, I only
> upgrade some packges when I need it

You need it.

debianutils Replaced passwd (<= 1:4.0.12-6) for etch.



Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#428633; Package debianutils. Full text and rfc822 format available.

Acknowledgement sent to "LI Daobing" <lidaobing@gmail.com>:
Extra info received and forwarded to list. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #25 received at 428633@bugs.debian.org (full text, mbox):

From: "LI Daobing" <lidaobing@gmail.com>
To: "Clint Adams" <schizo@debian.org>
Cc: 428633@bugs.debian.org
Subject: Re: Bug#428633: debianutils: fail to install
Date: Thu, 14 Jun 2007 04:57:49 +0800
On 6/14/07, Clint Adams <schizo@debian.org> wrote:
> On Thu, Jun 14, 2007 at 04:43:12AM +0800, LI Daobing wrote:
> > I keep on testing, but I does not keep my system upgrade, I only
> > upgrade some packges when I need it
>
> You need it.
>
> debianutils Replaced passwd (<= 1:4.0.12-6) for etch.
>
what's the debian policy on this issue, it assume that every system is
at least stable?


-- 
LI Daobing



Reply sent to Clint Adams <schizo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to wusz <lidaobing@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 428633-done@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: LI Daobing <lidaobing@gmail.com>, 428633-done@bugs.debian.org
Subject: Re: Bug#428633: debianutils: fail to install
Date: Wed, 13 Jun 2007 21:12:45 -0400
On Thu, Jun 14, 2007 at 04:57:49AM +0800, LI Daobing wrote:
> what's the debian policy on this issue, it assume that every system is
> at least stable?

According to a member of the release team:

"upgrades that skip a stable release is not tested, is not supported,
and is known to not work for woody->sarge or sarge->lenny"

You will run into other problems if you skip releases like this, but it
should be a simple operation to upgrade passwd first.



Merged 428008 428633. Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Thu, 14 Jun 2007 12:18:10 GMT) Full text and rfc822 format available.

Message #33 received at 428633-done@bugs.debian.org (full text, mbox):

From: Marco Cornolti <cornolti@cli.di.unipi.it>
To: Clint Adams <schizo@debian.org>, 428633-done@bugs.debian.org, lidaobing@gmail.com
Subject: Re: Re: Bug#428633: debianutils: fail to install
Date: Tue, 19 Jun 2007 15:46:16 +0200
Clint Adams ha scritto:
> You will run into other problems if you skip releases like this, but it
> should be a simple operation to upgrade passwd first.
>   
I've made it with these commands:
dpkg -r --force-all passwd
apt-get install passwd
apt-get upgrade




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Jul 2007 07:26:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:28:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.